/* *****************************************************************************
                            HEADER STYLING
***************************************************************************** */
header .wp-block-navigation-item.has-child {
    position: relative;
}

header .wp-block-navigation-item.has-child::after {
    content: "";
    width: 100%;
    height: 30px;
    background: transparent;
    position: absolute;
    left: 0;
    bottom: -25px;
}

header .wp-block-navigation .wp-block-navigation__submenu-container {
    border-color: var(--wp--preset--color--primary-border) !important;
    border-top: none !important;
    top: 49px !important;
    min-width: 250px !important;
    z-index: 999999 !important;
}


header .wp-block-navigation .wp-block-navigation-submenu .wp-block-navigation-item {
    border-top: 1px solid var(--wp--preset--color--primary-border);
}

header svg:not(.wp-block-navigation__responsive-container svg) {
    display: none;
}

header .wp-block-navigation .wp-block-navigation__responsive-container-open::before {
    font-size: 28px;
    content: "\F479";
    font-family: bootstrap-icons;
    line-height: 1.5;
}

@media (max-width: 992px) {

    header .wp-block-navigation .wp-block-navigation__submenu-container,
    header .wp-block-navigation .wp-block-navigation-submenu .wp-block-navigation-item {
        border: none;
    }

    header .wp-block-navigation .wp-block-navigation__submenu-container::before {
        display: none;
    }
}

@media (max-width: 699px) {
    html.has-modal-open {
        overflow: hidden;
    }

    html.has-modal-open::after {
        content: "";
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, 0.75);
        z-index: 999;
    }

    header .header-container {
        padding-top: 13.5px !important;
        padding-bottom: 13.5px !important;
    }

    header .logo-navigation {
        gap: 12px;
        justify-content: flex-start;
    }

    header .logo-navigation>.wp-block-navigation {
        order: -1;
    }

    header .wc-block-customer-account__link::before {
        content: unset;
    }

    .wp-block-navigation__responsive-container {
        display: unset;
        transform: translateX(-100%);
        transition: transform 0.3s ease;
    }

    .wp-block-navigation__responsive-container.is-menu-open {
        transform: translateX(0);
        animation: none;
        animation-fill-mode: none;
        overflow: unset;
        z-index: 999999;
    }

    .wp-block-navigation__responsive-container-close {
        position: unset !important;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px 20px;
        border-bottom: 1px solid var(--wp--preset--color--primary-border);
    }

    .wp-block-navigation__responsive-container-close::before {
        content: "";
        display: block;
        width: 200px;
        height: 40px;
        background-image: url("http://mobiloreparatie.programinstudio.com/wp-content/uploads/2026/08/logo-dark.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
    }

    .wp-block-navigation__responsive-close,
    .wp-block-navigation__responsive-dialog,
    .wp-block-navigation__responsive-container-content,
    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container {
        height: 100%;
    }

    .wp-block-navigation__responsive-container-content {
        padding-top: 0 !important;
        padding-bottom: 20px;
        overflow-y: scroll !important;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container {
        width: 100%;
        gap: 0 !important;
        flex-wrap: nowrap;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li {
        width: 100%;
        gap: 0 !important;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li.extra-link {
        display: block;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li {
        padding: 11px 20px;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li>a.wp-block-navigation-item__content {
        font-size: 14px;
        font-weight: 700;
        width: 100%;
        display: flex;
        align-items: center;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li.extra-link>a.wp-block-navigation-item__content {
        font-weight: 400;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li.has-child>a.wp-block-navigation-item__content::before {
        content: "";
        margin-right: 16px;
        background-image: url("https://verkoopmijntelefoon.nl/wp-content/uploads/mobilo_reparaite.jpeg");
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
        width: 17px;
        height: 30px;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li.has-child.verkopen>a.wp-block-navigation-item__content::before {
        background-image: url("https://verkoopmijntelefoon.nl/wp-content/uploads/mobilo_inkoopverkoop.png");
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li.has-child>a.wp-block-navigation-item__content::after {
        content: "\F282";
        font-family: bootstrap-icons;
        margin-left: auto;
        font-weight: 400;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li.separator-item {
        position: relative;
        padding-top: 16px;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li.separator-item::before {
        content: '';
        background: var(--wp--preset--color--secondary-background);
        width: 100%;
        height: 100%;
        position: absolute;
        inset: 0;
        border-top: 1px solid var(--wp--preset--color--primary-border);
        padding-bottom: 100%;
    }

    header .wp-block-navigation ul.wp-block-navigation__submenu-container {
        padding-left: 10px !important;
        overflow: hidden !important;
        max-height: 0;
        width: 100% !important;
    }

    header .wp-block-navigation li.is-open>ul.wp-block-navigation__submenu-container {
        max-height: 500px;
    }

    .wp-block-navigation__responsive-container-content ul.wp-block-navigation__container li.has-child.is-open>a.wp-block-navigation-item__content::after {
        transform: rotate(180deg);
    }

    header .wp-block-navigation .wp-block-navigation-submenu li.wp-block-navigation-item {
        padding: 8px 0;
    }

    header .wp-block-navigation .wp-block-navigation-submenu li.wp-block-navigation-item:first-child {
        margin-top: 10px;
    }

    header .wp-block-navigation .wp-block-navigation-submenu li.wp-block-navigation-item>a {
        padding: 0 !important;
        font-weight: 400;
    }
}

/* *****************************************************************************
                            FOOTER STYLING
***************************************************************************** */
footer {
    margin-top: 165px;
}

footer .footer-contact-section {
    margin-block-start: -155px !important;
}

@media (max-width: 699px) {
    footer .footer-column:last-child {
        margin-right: 14px;
        margin-top: 14px;
    }

    footer .footer-column:nth-child(3) {
        margin-top: 14px;
    }
}


/* *****************************************************************************
                            CONTACT PAGE STYLING
***************************************************************************** */
.wpcf7 input,
.wpcf7 textarea {
    background-color: var(--wp--preset--color--white);
    border: 1px solid var(--wp--preset--color--primary-border);
    color: var(--wp--preset--color--primary-text);
    padding: 10px;
    border-radius: 5px;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
    width: 100%;
    box-sizing: border-box;
    margin-bottom: 10px;
    margin-top: 10px;
}

.wpcf7 input[type="submit"] {
    width: fit-content;
    background-color: var(--wp--preset--color--primary);
    color: var(--wp--preset--color--white);
    border: none;
    padding: 10px 40px;
    border-radius: 999px;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
}

.wpcf7 input[type="submit"]:hover {
    background-color: var(--wp--preset--color--accent);
}

/* *****************************************************************************
                            POLICY PAGES STYLING
***************************************************************************** */
/* Remove all native Gutenberg/browser markers */
.legal-list,
.legal-list ol {
    list-style: none !important;
    padding-left: 0 !important;
}

/* =========================
   ROOT LEVEL
   ========================= */

.legal-list {
    counter-reset: level1;
}

.legal-list>li {
    counter-increment: level1;
    counter-reset: level2;
    list-style: none !important;
    font-weight: 700;
    font-size: var(--wp--preset--font-size--xx-large);
    font-family: var(--wp--preset--font-family--libre-franklin);
    margin-bottom: var(--wp--preset--spacing--xx-large);
}

.legal-list>li:last-child {
    margin-bottom: 0;
}

.legal-list>li::before {
    content: counter(level1) ". ";
    font-weight: 700;
    margin-right: 4px;
}


/* =========================
   LEVEL 2
   ========================= */

.legal-list>li>ol {
    counter-reset: level2;
    padding-left: 0 !important;
}

.legal-list>li>ol>li {
    counter-increment: level2;
    counter-reset: level3;
    list-style: none !important;
    font-size: var(--wp--preset--font-size--regular);
    font-family: var(--wp--preset--font-family--lato);
    font-weight: 400;
}

/* 1.1 number is bold */
.legal-list>li>ol>li::before {
    content: counter(level1) "." counter(level2) " ";
    font-weight: 700;
    margin-right: 10px;
}